# Class Bond

java.lang.Object
org.jmol.util.Edge
org.jmol.modelset.Bond

All Implemented Interfaces:
  `SimpleEdge`

Direct Known Subclasses:
  `HBond`

public class Bond extends Edge

## Field Summary

Fields
Modifier and Type
Field
Description
`Atom`
`atom1`
`Atom`
`atom2`
`short`
`colix`
`short`
`mad`
`static final int`
`myVisibilityFlag`
`int`
`shapeVisibilityFlags`

### Fields inherited from class Edge

`BOND_AROMATIC, BOND_AROMATIC_DOUBLE, BOND_AROMATIC_MASK, BOND_AROMATIC_SINGLE, BOND_COVALENT_DOUBLE, BOND_COVALENT_MASK, BOND_COVALENT_QUADRUPLE, BOND_COVALENT_QUINTUPLE, BOND_COVALENT_sextuple, BOND_COVALENT_SINGLE, BOND_COVALENT_TRIPLE, BOND_H_CALC, BOND_H_CALC_MASK, BOND_H_MINUS_3, BOND_H_MINUS_4, BOND_H_NUCLEOTIDE, BOND_H_PLUS_2, BOND_H_PLUS_3, BOND_H_PLUS_4, BOND_H_PLUS_5, BOND_H_REGULAR, BOND_HBOND_SHIFT, BOND_HYDROGEN_MASK, BOND_NEW, BOND_ORDER_ANY, BOND_ORDER_NULL, BOND_ORDER_UNSPECIFIED, BOND_PARTIAL01, BOND_PARTIAL12, BOND_PARTIAL23, BOND_PARTIAL32, BOND_PYMOL_MULT, BOND_PYMOL_SCALE, BOND_RENDER_MASK, BOND_RENDER_SINGLE, BOND_STEREO_EITHER, BOND_STEREO_FAR, BOND_STEREO_NEAR, BOND_STRUT, BOND_SULFUR_MASK, index, order, TYPE_ATROPISOMER, TYPE_ATROPISOMER_REV`

## Constructor Summary

Constructors
Constructor
Description
`Bond(Atom atom1, Atom atom2, int order, short mad, short colix)`

## Method Summary

Modifier and Type
Method
Description
`SimpleNode`
`getAtom(int i)`
Get the respective atom, 0 or 1
`int`
`getAtomIndex1()`
`int`
`getAtomIndex2()`
`String`
`getCIPChirality(boolean doCalculate)`
Not implemented.
`int`
`getCovalentOrder()`
`float`
`getEnergy()`
`String`
`getIdentity()`
`Atom`
`getOtherAtom(Atom thisAtom)`
`SimpleNode`
`getOtherNode(SimpleNode thisAtom)`
`int`
`getValence()`
`boolean`
`is(int bondType)`
`boolean`
`isAromatic()`
`boolean`
`isCovalent()`
`boolean`
`isCovalentNotPartial0()`
`boolean`
`isHydrogen()`
`boolean`
`setAtropisomerOptions()`
`void`
`setCIPChirality(int c)`
Not implemented.
`void`
`setMad(short mad)`
`void`
`setOrder(int order)`
`void`
`setTranslucent(boolean isTranslucent, float translucentLevel)`
`String`
`toString()`

### Methods inherited from class Edge

`getArgbHbondType, getAtropismNode, getAtropismOrder, getAtropismOrder12, getBondOrderFromFloat, getBondOrderFromString, getBondOrderNameFromOrder, getBondOrderNumberFromOrder, getBondType, getCmlBondOrder, getCovalentBondOrder, getFloatEncodedInt, getPartialBondDotted, getPartialBondOrder, getPartialBondOrderFromFloatEncodedInt, isAtropism, isOrderH, isPartial, isStereo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### myVisibilityFlag

public static final int myVisibilityFlag

### atom1

public Atom atom1

### atom2

public Atom atom2

### mad

public short mad

### colix

public short colix

### shapeVisibilityFlags

public int shapeVisibilityFlags

## Constructor Details

### Bond

public Bond(Atom atom1, Atom atom2, int order, short mad, short colix)

Parameters:
  `atom1` -
  `atom2` -
  `order` -
  `mad` -
  `colix` -

## Method Details

### setMad

public void setMad(short mad)

### getIdentity

public String getIdentity()

### isCovalent

public boolean isCovalent()

Specified by:
  `isCovalent` in interface `SimpleEdge`
Specified by:
  `isCovalent` in class `Edge`

### isHydrogen

public boolean isHydrogen()

Specified by:
  `isHydrogen` in class `Edge`

### isAromatic

public boolean isAromatic()

### getEnergy

public float getEnergy()

### getValence

public int getValence()

### setTranslucent

public void setTranslucent(boolean isTranslucent, float translucentLevel)

### setOrder

public void setOrder(int order)

### getAtomIndex1

public int getAtomIndex1()

Specified by:
  `getAtomIndex1` in class `Edge`

### getAtomIndex2

public int getAtomIndex2()

Specified by:
  `getAtomIndex2` in class `Edge`

### getCovalentOrder

public int getCovalentOrder()

Specified by:
  `getCovalentOrder` in interface `SimpleEdge`
Specified by:
  `getCovalentOrder` in class `Edge`
Returns:
  the bond order 1-4 if it is covalent, or 0 if not.

### getOtherAtom

public Atom getOtherAtom(Atom thisAtom)

### is

public boolean is(int bondType)

### getOtherNode

public SimpleNode getOtherNode(SimpleNode thisAtom)

### setAtropisomerOptions

public boolean setAtropisomerOptions()

### getCIPChirality

public String getCIPChirality(boolean doCalculate)
Not implemented.

Overrides:
  `getCIPChirality` in class `Edge`
Parameters:
  `doCalculate` -
Returns:
  "" or "Z" or "E"

### setCIPChirality

public void setCIPChirality(int c)
Not implemented.

Overrides:
  `setCIPChirality` in class `Edge`
Parameters:
  `c` - [0:unknown; 1: Z; 2: E; 3: none]

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getAtom

public SimpleNode getAtom(int i)
Description copied from interface: `SimpleEdge`
Get the respective atom, 0 or 1

Parameters:
  `i` -
Returns:
  SimpleNode

### isCovalentNotPartial0

public boolean isCovalentNotPartial0()